namespace CovidEuropeProjectConnector.Localizations
{
    public abstract class BaseCovidEuropeProjectLoc_PT : ICovidEuropeProjectLocalization
    {
        public string SCREENING { get { return "Triagem"; } }
        public string BEGINSCREENING { get { return "Vamos agora iniciar um pequeno questionário para despiste."; } }
        public string RECOMENDATIONS { get { return "Recomendações"; } }
        public string ENTERAGE { get { return "Por favor comece por indicar a sua idade:"; } }
        public string INVALIDAGE { get { return "Idade inválida"; } }
        public string ALTEREDCONSCIENCE { get { return "Sente-se confuso ou com dificuldade em organizar o pensamento?"; } }
        public string TROUBLEBREATHING { get { return "E falta de ar ou dificuldade a respirar?"; } }
        public string TROUBLEBREATHINGSCALE { get { return "Identifique a melhor frase que corresponde à sua sensação de falta de ar"; } }
        public string CONTACTDAYS { get { return "Há quantos dias ocorreu o último contacto?"; } }
        public string INVALIDCONTACTDAYS { get { return "Número de dias inválido!"; } }
        public string COUGHING { get { return "Tem tosse persistente ou agravamento da tosse crónica?"; } }
        public string COUGHINGBLOOD { get { return "Regista episódio de expetoração com sangue?"; } }
        public string COUGHINGINTERFERENCE { get { return "A tosse interfere com o sono ou as atividades físicas?"; } }
        public string DIARRHEA { get { return "Tem diarreia (≥3 dejeções por dia)?"; } }
        public string FEVER { get { return "Nas últimas 24 horas teve febre (temperatura axilar ou timpânica superior a 38ºC)?"; } }
        public string FEVERMORETHAN2DAYS { get { return "A febre persiste por mais de 48-72h ou reapareceu após período de ausência de febre?"; } }
        public string STEPSYMPTHOMS { get { return "Que sintomas apresenta?"; } }
        public string ENTERGENDER { get { return "Qual o seu género?"; } }
        public string SELECTGENDER { get { return "Selecionar género"; } }
        public string INVALIDGENDER { get { return "Género inválido"; } }
        public string PREGNANCY { get { return "Gravidez"; } }
        public string FEMININE { get { return "Feminino"; } }
        public string MALE { get { return "Masculino"; } }
        public string GLOBALINTERFERENCE { get { return "De 1 a 10 (em que 1 é pouca interferência e 10 é muita interferência), indique o quanto os sintomas que apresenta interferem no sono ou nas suas atividades ou são incomodativos."; } }
        public string INVALIDNUMBER { get { return "Valor Inválido"; } }
        public string HOMECONDITIONS { get { return "Tem condições para isolamento domiciliário?\n(1. Telefone/telemóvel;\n2. Termómetro;\n3. Quarto separado ou cama separada doente ou máscara cirúrgica;\n4. Acesso a casa de banho, preferência individual;\n5. Água e sabão para higiene mãos;\n6. Cuidador de acordo com avaliação;\n7. Não ser recém-nascido ou grávida ou imunosuprimida;\n8. Não residir com imunosuprimidos ou grávidas)"; } }
        public string INFECTEDCONTACT { get { return "Teve contacto próximo conhecido com alguém com diagnóstico ou forte suspeita de COVID-19?"; } }
        public string PERSISTENTVOMIT { get { return "Os vómitos são persistentes e sem tolerância para líquidos?"; } }
        public string PREEXISTENTCONDITIONS { get { return "Por favor, indique as suas condições de saúde pré-existentes"; } }
        public string INVALIDCONDITION { get { return "Condição inválida"; } }
        public string SEVEREDIARRHEA { get { return "Diarreia grave (com sangue ou prolongada ou com sinais de desidratação – boca seca, diminuição do débito urinário, tonturas)?"; } }
        public string SUSPECTCONTACT { get { return "Nos últimos 14 dias, teve contacto com algum caso suspeito (com sintomas e em quarentena)?"; } }
        public string ENTERSYMPTOMS { get { return "Agora, indique por favor se apresenta algum dos seguintes sintomas adicionais"; } }
        public string SELECTSYMPTOMS { get { return "Indicar sintomas"; } }
        public string INVALIDSYMPTOM { get { return "Sintoma inválido!"; } }
        public string USERISMINOR { get { return "Pedimos que preencha o questionário acompanhado por um adulto."; } }
        public string VOMIT { get { return "Tem vómitos?"; } }
        public string NONE { get { return "Nenhum"; } }
        public string ACTION { get { return "AÇÃO"; } }
        public string PREVENTION { get { return "PREVENÇÃO"; } }
        public string MONITORING { get { return "MONITORIZAÇÃO"; } }
        public string SCALE { get { return "Escala"; } }
        public string SCALE1 { get { return "Sem problema de falta de ar exceto em caso de exercício intenso"; } }
        public string SCALE2 { get { return "Falta de fôlego em caso de pressa ou percorrer piso ligeiramente inclinado"; } }
        public string SCALE3 { get { return "Andar mais devagar que as restantes pessoas devido ao fôlego"; } }
        public string SCALE4 { get { return "Paragens para respirar de 100 em 100 metros ou após andar alguns minutos seguidos"; } }
        public string SCALE5 { get { return "Demasiado cansado para sair de casa, vestir ou despir"; } }
        public string COVID19RECOMMENDATIONS { get { return "Recomendações COVID-19"; } }
        public string RECOMMENDATION1 { get { return "Não tem contactos de risco conhecidos nem apresenta sintomas sugestivos de COVID-19. Deverá cumprir as recomendações gerais de distanciamento social, medidas de etiqueta respiratória e lavagem frequente das mãos. Sugere-se que repita esta avaliação em caso de aparecimento de sintomas ou de contacto próximo com doente com COVID-19"; } }
        public string RECOMMENDATION2 { get { return "Teve contacto próximo com alguém com COVID-19 mas já passou o período de maior risco de aparecimento da doença. Deverá cumprir as recomendações gerais de distanciamento social, medidas de etiqueta respiratória e lavagem frequente das mãos. Sugere-se que repita esta avaliação em caso de aparecimento de sintomas ou de contacto próximo com doente com COVID-19"; } }
        public string RECOMMENDATION3 { get { return "Deve ficar de quarentena pelo menos até completar 14 dias em relação ao último contacto conhecido. Caso necessite de justificação para o seu trabalho contacte a Autoridade de Saúde da sua área de residência ou fale com o seu médico. Não deverá dirigir-se a uma unidade de saúde por esse motivo! Sugere-se que repita esta avaliação em caso de aparecimento de sintomas."; } }
        public string RECOMMENDATION4 { get { return "Os sintomas que apresenta não são os mais frequentemente associados à infeção COVID-19. No entanto, se os sintomas forem persistentes e/ou incomodativos sugerimos que contacte o seu médico, a sua unidade de saúde familiar/unidade de cuidados de saúde personalizados ou a linha SNS24. Sugere-se que repita esta avaliação em caso de aparecimento de tosse, febre ou falta de ar."; } }
        public string RECOMMENDATION5 { get { return "Apesar de os sintomas que apresenta não serem os mais frequentemente associados à infeção COVID19, eles também podem surgir nessa infeção. Sugerimos que contacte o seu médico, a sua unidade de saúde familiar/unidade de cuidados de saúde personalizados ou a linha SNS24 para decisão personalizada sobre a necessidade de avaliação adicional."; } }
        public string RECOMMENDATION6 { get { return "Contactar a sua unidade de saúde familiar/unidade de cuidados de saúde personalizados, a linha SNS24 ou o seu médico para prescrição da pesquisa de SARS-CoV-2, que será realizada em ambulatório. Isolamento domiciliário, seguindo as indicações do folheto da DGS sobre isolamento domiciliário (https://covid19.min-saude.pt/wp-content/uploads/ 2020/03/02-DAGs_medidasdeisolamento_V2-1.pdf) Monitorização diária de sintomas (e.g. Trace-COVID)"; } }
        public string RECOMMENDATION7 { get { return "Sugere-se observação a nível dos cuidados de saúde primários (ADC-Comunidade). Antes de se deslocar para a unidade de saúde, sugere-se que contacte a unidade de saúde familiar/ unidade de cuidados de saúde personalizados mais próxima ou a linha SNS24 para validação do local mais adequado para observação médica."; } }
        public string RECOMMENDATION8 { get { return "Sugere-se observação a nível hospitalar – ADC-SU. Caso tenha possibilidade, poderá deslocar-se em veículo próprio ao hospital mais próximo. Caso não tenha essa possibilidade, deverá ser transportado por ambulância – contactar 112."; } }
        public string SCREENINGRESULT { get { return "Resultado da Triagem"; } }

        public BaseCovidEuropeProjectLoc_PT()
        {
        }
    }

    public class CovidEuropeProjectPT_locale : BaseCovidEuropeProjectLoc_PT
    {
        public CovidEuropeProjectPT_locale() : base()
        {
        }
    }
}
