using Automaise.Core.Session;
using Automaise.Core.Utils;
using Automaise.Flows.IntentWorkers.ActionSteps;
using CovidEuropeProjectConnector.Localizations;

namespace CovidEuropeProjectEdge.CovidEuropeProject.Workers
{
    public class StepUserIsMinor : ActionStepMessageBase
    {
        public const string Id = "FIELD_STEPUSERISMINOR";
        public override string StepId { set; get; } = Id;
        public override AutoDictionary<string, string> StepLabel { get; set; } = new AutoDictionary<string, string> { { "pt", "Utilizador  menor" },
                                                                                                                      { "en", "User is minor" },
                                                                                                                      { "es", "Usuario es menor" },
                                                                                                                      { "fr", "L'utilisateur est moins" },
                                                                                                                      { "de", "Benutzer ist kleiner" } };
        public override string DisplayMessage { set; get; } = CovidEuropeProjectLocResources.Resources.USERISMINOR;
        public StepUserIsMinor(AnnaSession session) : base(session) { }
    }
}
