namespace CovidEuropeProjectConnector.Localizations
{ 
	public abstract class BaseCovidEuropeProjectLoc_DE : ICovidEuropeProjectLocalization
    {
		public string SCREENING { get { return "Triage"; } }

        public string RECOMENDATIONS { get { return "Empfehlungen"; } }

        public string BEGINSCREENING { get { return "Wir werden jetzt mit einem kleinen Triage-Fragebogen beginnen."; } }

        public string ENTERAGE { get { return "Bitte beginnen Sie mit der Angabe Ihres Alters:"; } }

        public string INVALIDAGE { get { return "Ungltiges Alter"; } }

        public string ALTEREDCONSCIENCE { get { return "Fhlen Sie sich verwirrt oder haben Sie Schwierigkeiten, Ihre Gedanken zu sammeln?"; } }

        public string TROUBLEBREATHING { get { return "Leiden Sie an Kurzatmigkeit oder das Gefhl, dass Ihnen die Luft ausgeht?"; } }

        public string TROUBLEBREATHINGSCALE { get { return "Bitte geben Sie die Option an, die das Gefhl, das Sie haben, wenn Sie unter Atemnot leiden, am Besten beschreibt."; } }

        public string CONTACTDAYS { get { return "Vor wie vielen Tagen fand ihr letzter Kontakt statt?"; } }

        public string INVALIDCONTACTDAYS { get { return "Ungltige Anzahl der Tage!"; } }

        public string COUGHING { get { return "Haben Sie einen hartnckigen Husten oder hat sich Ihr chronischer Husten verschlimmert?"; } }

        public string COUGHINGBLOOD { get { return "Haben Sie Blut im Speichel?"; } }

        public string COUGHINGINTERFERENCE { get { return "Beeintrchtigt Ihr Husten Ihren Schlaf oder krperliche Aktivitten?"; } }

        public string DIARRHEA { get { return "Haben Sie Durchfall (3 oder mehr Mal am Tag)?"; } }

        public string FEVER { get { return "Hatten Sie in den letzten 24 Stunden Fieber (Temperatur in der Achselhhle oder im Ohr ber 38 Celsius gemessen)?"; } }

        public string FEVERMORETHAN2DAYS { get { return "Hlt Ihr Fieber an (lnger als 48-72 Stunden) oder ist es nach einer fieberfreien Zeit wieder aufgetreten? "; } }

        public string ENTERGENDER { get { return "Was ist Ihr Geschlecht?"; } }

        public string SELECTGENDER { get { return "Geschlecht whlen"; } }

        public string INVALIDGENDER { get { return "Ungltiges Geschlecht"; } }

        public string FEMININE { get { return "Weiblich"; } }

        public string MALE { get { return "Mnnlich"; } }

        public string PREGNANCY { get { return "Schwangerschaft"; } }

        public string STEPSYMPTHOMS { get { return "Welche Symptome haben Sie?"; } }

        public string GLOBALINTERFERENCE { get { return "Bitte geben Sie auf einer Skala von 1 bis 10 (wobei 1 fr eine geringe und 10 fr eine groe Strung steht) an, wie sehr Ihre Symptome Ihren Schlaf oder Ihre tglichen Aktivitten beeintrchtigen oder Sie strren)."; } }

        public string INVALIDNUMBER { get { return "Ungltige Nummer"; } }

        public string HOMECONDITIONS { get { return "Sind Sie in der Lage, sich zu Hause zu isolieren?\n(1.Telefon\n2. Thermometer\n3. Separates Schlafzimmer oder separates Bett oder Mundschutz \n4. Zugang zum Badezimmer, vorzugsweise individuell\n5. Seife und Wasser fr die Handhygiene\n6. Betreuer gemss Beurteilung\n7. Nicht neugeboren oder schwanger oder immunsupprimiert\n8. Nicht mit immunsupprimierten oder schwangeren Frauen zusammenlebend\n8.)"; } }

        public string INFECTEDCONTACT { get { return "Hatten Sie engen Kontakt zu jemandem mit einer besttigten Diagnose oder dem starken Verdacht auf COVID-19?"; } }

        public string PERSISTENTVOMIT { get { return "Erbrechen Sie und sind Sie nicht in der Lage Flssigkeiten zu sich zu nehmen?"; } }

        public string PREEXISTENTCONDITIONS { get { return "Bitte geben Sie bereits bestehende Gesundheitsprobleme an"; } }

        public string INVALIDCONDITION { get { return "Ungltige Angabe"; } }

        public string SEVEREDIARRHEA { get { return "Schwerer Durchfall (mit Blut, langanhaltend oder mit Anzeichen von Dehydrierung - wie Mundtrockenheit, verminderter Urinabgabe, Schwindel)?"; } }

        public string SUSPECTCONTACT { get { return "Hatten Sie in den letzten 14 Tagen Kontakt zu Leuten die Verdachtsflle sind (mit Symptomen und in Quarantne)?"; } }

        public string ENTERSYMPTOMS { get { return "Bitte geben Sie nun an, ob Sie eines der folgenden zustzlichen Symptome haben"; } }

        public string SELECTSYMPTOMS { get { return "Symptome angeben"; } }

        public string INVALIDSYMPTOM { get { return "Ungltiges Symptom!"; } }

        public string USERISMINOR { get { return "Bitte fllen Sie den Fragebogen in Begleitung eines Erwachsenen aus."; } }

        public string VOMIT { get { return "Haben Sie Erbrechen?"; } }

        public string NONE { get { return "Kein"; } }

        public string ACTION { get { return "AKTION"; } }

        public string PREVENTION { get { return "PRVENTION"; } }

        public string MONITORING { get { return "BERWACHUNG"; } }

        public string SCALE { get { return "Rahmen"; } }

        public string SCALE1 { get { return "Keine Atemnot auer bei intensiven bungen"; } }

        public string SCALE2 { get { return "Schnelles Gehen oder Treppensteigen verursacht Kurzatmigkeit"; } }

        public string SCALE3 { get { return "Luft aufgrund von Kurzatmigkeit langsamer als andere"; } }

        public string SCALE4 { get { return "Atempausen alle 100 Meter oder nach ein paar Minuten gehen"; } }

        public string SCALE5 { get { return "Zu mde, um das Haus zu verlassen, sich an- oder auszuziehen"; } }

        public string COVID19RECOMMENDATIONS { get { return "COVID-19 Empfehlungen"; } }

        public string RECOMMENDATION1 { get { return "Sie hatten keinen Kontakt mit einer mit COVID-19 infizierten Person oder Symptome, die auf COVID-19 hindeuten. Sie sollten die allgemeinen Empfehlungen zur sozialen Distanzierung einhalten, sich hufig die Hnde waschen und in geschlossenen Rumen, in ffentlichen Verkehrsmitteln und an Orten, an denen Sie keine Manahmen zur sozialen Distanzierung praktizieren knnen, einen Mundschutz tragen. Es wird vorgeschlagen, dass Sie diese Auswertung wiederholen, wenn Sie Symptome entwickeln oder in engem Kontakt mit einer Person stehen, die mit COVID-19 infiziert oder mglicherweise infiziert ist."; } }

        public string RECOMMENDATION2 { get { return "Sie hatten engen Kontakt mit einer mit COVID-19 infizierten Person, aber der Zeitraum mit dem hchsten Risiko ist vorbei (14 Tage nach dem Kontakt). Sie sollten die allgemeinen Empfehlungen zur sozialen Distanzierung einhalten, sich hufig die Hnde waschen und in geschlossenen Rumen, in ffentlichen Verkehrsmitteln und an Orten, an denen Sie keine Manahmen zur sozialen Distanzierung praktizieren knnen, einen Mundschutz tragen. Es wird vorgeschlagen, dass Sie diese Auswertung wiederholen, wenn Sie Symptome entwickeln oder in engem Kontakt mit einer Person stehen, die mit COVID-19 infiziert oder mglicherweise infiziert ist."; } }

        public string RECOMMENDATION3 { get { return "Sie sollten fr einen Zeitraum von mindestens 14 Tagen ab dem letzten bekannten Kontakt in Quarantne gehen/selbst isolieren. Sollten Sie einen Quarantnevermerk fr Ihren Arbeitgeber bentigen, wenden Sie sich bitte an die Gesundheitsbehrde in Ihrer Wohngegend oder an Ihren Arzt. Aus diesem Grund sollten Sie nicht in Ihre Hausarztpraxis gehen! Es wird vorgeschlagen, dass Sie diese Auswertung bei Auftreten von Symptomen wiederholen."; } }

        public string RECOMMENDATION4 { get { return "Die Symptome, die bei Ihnen auftreten, sind nicht die am hufigsten mit COVID-19 assoziierten. Wenn die Symptome jedoch anhaltend und/oder unangenehm sind, empfehlen wir Ihnen, sich an Ihren Arzt oder Ihr Gesundheitszentrum zu wenden, oder falls diese geschlossen sind, wenden Sie sich unter der Nummer 116 117 an die Patientenbetreuung auerhalb der ffnungszeiten. Es wird vorgeschlagen, dass Sie diese Auswertung bei Husten, Fieber oder Kurzatmigkeit wiederholen."; } }

        public string RECOMMENDATION5 { get { return "Obwohl die bei Ihnen auftretenden Symptome nicht am hufigsten mit einer COVID-19-Infektion in Verbindung gebracht werden, knnen sie auch bei dieser Infektion auftreten. Wir schlagen vor, dass Sie sich mit Ihrem Arzt oder Ihrem Gesundheitszentrum in Verbindung setzen oder, falls diese geschlossen sein sollten, sich an die Patientenbetreuung unter der Nummer 116 117 wenden, um eine persnliche Entscheidung ber die Notwendigkeit einer weiteren Untersuchung zu treffen."; } }

        public string RECOMMENDATION6 { get { return "Wenden Sie sich an Ihren Arzt oder Ihre Gesundheitseinrichtung, um eine Verschreibung fr einen COVID-19-Test zu erhalten, der ambulant durchgefhrt wird. Sie mssen die Empfehlungen zur huslichen Isolation befolgen, wie sie in der Broschre des Bundesgesundheitsministeriums empfholen werden: (https://www.infektionsschutz.de/fileadmin/infektionsschutz.de/Downloads/Merkblatt-Infektionsschutz-Quarantaene.pdf)."; } }

        public string RECOMMENDATION7 { get { return "Die Beobachtung durch eine primren Gesundheitsversorgung wird vorgeschlagen. Bevor Sie sich in ein Behandlungszentrum begeben, wird vorgeschlagen, dass Sie sich mit Ihrem Arzt oder dem nchstgelegenen Gesundheitszentrum in Verbindung setzen, um den fr die medizinische Beobachtung am besten geeigneten Ort zu ermitteln, oder dass Sie sich zur Ermittlung des am besten geeigneten Ortes fr die medizinische Beobachtung an die Patientenbetreuung unter der Nummer 116 117 auerhalb der Dienstzeiten wenden."; } }

        public string RECOMMENDATION8 { get { return "Sie knnen mit Ihrem eigenen Fahrzeug zum nchstgelegenen Krankenhaus fahren (falls Sie ein eigenes Fahrzeug haben). Andernfalls sollten Sie mit einem Krankenwagen transportiert werden - bitte whlen Sie in diesem Fall die medizinische Notfallnummer 112."; } }

        public string SCREENINGRESULT { get { return "Triage Ergebnis"; } }


        public BaseCovidEuropeProjectLoc_DE()
        {
        }
    }

    public class CovidEuropeProjectDE_locale : BaseCovidEuropeProjectLoc_DE
    {
        public CovidEuropeProjectDE_locale() : base()
        {
        }
    }
}
