namespace CovidEuropeProjectConnector.Localizations
{ 
	public abstract class BaseCovidEuropeProjectLoc_ES : ICovidEuropeProjectLocalization
    {
		public string SCREENING { get { return "Triaje"; } }

        public string RECOMENDATIONS { get { return "Recomendaciones"; } }

        public string BEGINSCREENING { get { return "Ahora vamos a comenzar un pequeo cuestionario de triaje."; } }

        public string ENTERAGE { get { return "Por favor, empiece indicando su edad:"; } }

        public string INVALIDAGE { get { return "Edad no vlida"; } }

        public string ALTEREDCONSCIENCE { get { return "Se siente confundido o tiene dificultad para organizar sus pensamientos?"; } }

        public string TROUBLEBREATHING { get { return "Presenta alguna dificultad para respirar o la sensacin de que se queda sin aire?"; } }

        public string TROUBLEBREATHINGSCALE { get { return "Indique la opcin que mejor describa la sensacin que tiene cuando experimenta dificultad para respirar."; } }

        public string CONTACTDAYS { get { return "Cuntos das hace desde el ltimo contacto?"; } }

        public string INVALIDCONTACTDAYS { get { return "Nmero invlido de das!"; } }

        public string COUGHING { get { return "Tiene tos persistente o su tos crnica ha empeorado?"; } }

        public string COUGHINGBLOOD { get { return "Ha visto algo de sangre en su esputo?"; } }

        public string COUGHINGINTERFERENCE { get { return "Su tos interfiere con su sueo o actividades fsicas?"; } }

        public string DIARRHEA { get { return "Tiene diarrea (deposiciones 3 o ms veces al da)?"; } }

        public string FEVER { get { return "Ha tenido fiebre en las ltimas 24 horas (temperatura medida en la axila o el odo por encima de 38 Celsius)?"; } }

        public string FEVERMORETHAN2DAYS { get { return "Su fiebre es persistente (durante ms de 48-72 horas) o ha reaparecido tras un perodo de ausencia de fiebre?"; } }

        public string ENTERGENDER { get { return "Cul es su gnero?"; } }

        public string SELECTGENDER { get { return "Seleccione gnero"; } }

        public string INVALIDGENDER { get { return "Gnero no vlido"; } }

        public string FEMININE { get { return "Femenina"; } }

        public string MALE { get { return "Masculino"; } }

        public string PREGNANCY { get { return "Embarazo"; } }

        public string STEPSYMPTHOMS { get { return "Qu sntomas tiene?"; } }

        public string GLOBALINTERFERENCE { get { return "En una escala del 1 al 10 (donde 1 es poca interferencia y 10 mucha interferencia), por favor indique cunto interfieren sus sntomas con su sueo o sus actividades diarias, o cunto le molestan."; } }

        public string INVALIDNUMBER { get { return "Nmero no vlido"; } }

        public string HOMECONDITIONS { get { return "Puede aislarse en casa?\n(1. Telfono\n2. Termmetro\n3. Habitacin separada o cama separada o mascarilla \n4. Acceso al bao, preferiblemente individual\n5. Jabn y agua para la higiene de manos\n6. Cuidador/a segn evaluacin\n7. No ser neonato ni estar embarazada o inmunosuprimido\n8. No vivir con inmunosuprimidos o mujeres embarazadas)"; } }

        public string INFECTEDCONTACT { get { return "Tuvo contacto cercano con alguien con un diagnstico confirmado o altamente sospechoso de padecer de la COVID-19?"; } }

        public string PERSISTENTVOMIT { get { return "El vmito es persistente y no tolera ningn lquido?"; } }

        public string PREEXISTENTCONDITIONS { get { return "Por favor, indique cualquier afeccin de salud preexistente"; } }

        public string INVALIDCONDITION { get { return "Afeccin no vlida"; } }

        public string SEVEREDIARRHEA { get { return "Diarrea severa (con sangre, prolongada o con signos de deshidratacin, como boca seca, disminucin de la produccin de orina, mareo)?"; } }

        public string SUSPECTCONTACT { get { return "En los ltimos 14 das, ha tenido contacto con algn caso sospechoso (con sntomas y en cuarentena)?"; } }

        public string ENTERSYMPTOMS { get { return "Ahora, por favor indique si tiene alguno de los siguientes sntomas adicionales"; } }

        public string SELECTSYMPTOMS { get { return "Indique los sntomas"; } }

        public string INVALIDSYMPTOM { get { return "Sntoma invlido!"; } }

        public string USERISMINOR { get { return "Por favor, complete el cuestionario acompaado de un adulto."; } }

        public string VOMIT { get { return "Est experimentando vmitos?"; } }

        public string NONE { get { return "Ninguno"; } }

        public string ACTION { get { return "ACCIN"; } }

        public string PREVENTION { get { return "PREVENCIN"; } }

        public string MONITORING { get { return "SUPERVISIN"; } }

        public string SCALE { get { return "Escala"; } }
        public string SCALE1 { get { return "Sin dificultad para respirar excepto en caso de ejercicio intenso"; } }

        public string SCALE2 { get { return "Caminar rpido o subir las escaleras causa dificultad para respirar"; } }

        public string SCALE3 { get { return "Camina ms lento que otras personas debido a la dificultad para respirar"; } }

        public string SCALE4 { get { return "Para a respirar cada 100 metros o tras caminar durante un par de minutos"; } }

        public string SCALE5 { get { return "Est demasiado cansado para salir de casa, vestirse o desvestirse"; } }

        public string COVID19RECOMMENDATIONS { get { return "Recomendaciones COVID-19"; } }

        public string RECOMMENDATION1 { get { return "No tiene contactos de riesgo conocidos o sntomas que sugieran infeccin por la COVID-19. Debe cumplir con las recomendaciones generales de distanciamiento social, lavarse frecuentemente las manos y llevar mascarilla en espacios cerrados, transporte pblico y en lugares donde no pueda mantener las medidas de distancia social. Es recomendable que repita esta evaluacin si desarrolla sntomas o entra en contacto cercano con una persona infectada o posiblemente infectada por la COVID-19."; } }
        
        public string RECOMMENDATION2 { get { return "Ha tenido contacto cercano con una persona infectada por la COVID-19 pero el perodo de mayor riesgo ha pasado (14 das tras el contacto). Debe cumplir con las recomendaciones generales de distanciamiento social, lavarse frecuentemente las manos y llevar mascarilla en espacios cerrados, transporte pblico y en lugares donde no pueda mantener las medidas de distancia social. Es recomendable que repita esta evaluacin si desarrolla sntomas o entra en contacto cercano con una persona infectada o posiblemente infectada por la COVID-19."; } }
        
        public string RECOMMENDATION3 { get { return "Debe hacer cuarentena durante un perodo de al menos 14 das desde el ltimo contacto conocido. Si necesita un justificante de aislamiento para su empresa por favor pngase en contacto con la Autoridad Sanitaria de su lugar de residencia o comunquelo a su mdico. No debe acudir a la consulta de su mdico de cabecera! Es recomendable que repita esta evaluacin en caso de mostrar sntomas."; } }
        
        public string RECOMMENDATION4 { get { return "Los sntomas que presenta no son los ms frecuentemente asociados con la COVID-19. Sin embargo, si los sntomas son persistentes y/o incmodos, le sugerimos que se lo comunique a su mdico, o llame al nmero proporcionado por su Comunidad Autnoma (https://www.mscbs.gob.es/profesionales/saludPublica/ccayes/alertasActual/nCov-China/telefonos.htm) o al 112. Es recomendable que repita esta evaluacin si presenta tos, fiebre o falta de aliento."; } }
        
        public string RECOMMENDATION5 { get { return "Aunque los sntomas que experimenta no son los ms frecuentemente asociados con la COVID-19, pueden aparecer en esta infeccin. Le recomendamos que contacte con su mdico, o llame al nmero proporcionado por su Comunidad Autnoma (https://www.mscbs.gob.es/profesionales/saludPublica/ccayes/alertasActual/nCov-China/telefonos.htm) o al 112 para que le proporcionen una decisin personalizada sobre la necesidad de evaluacin adicional."; } }
        
        public string RECOMMENDATION6 { get { return "Pngase en contacto mediante el nmero de telfono proporcionado por su Comunidad Autnoma (https://www.mscbs.gob.es/profesionales/saludPublica/ccayes/alertasActual/nCov-China/telefonos.htm), con su mdico o su centro de salud para que le hagan una prueba de la COVID-19, que se realizar de forma ambulatoria. Debe cumplir con las recomendaciones de aislamiento en el hogar como sugiere el Ministerio de Sanidad en el siguiente folleto: https://www.mscbs.gob.es/profesionales/saludPublica/ccayes/alertasActual/nCov-China/img/20.03.24_AislamientoDomiciliario_COVID19.jpg"; } }
       
        public string RECOMMENDATION7 { get { return "Se le recomienda observacin en atencin primaria. Antes de dirigirse a cualquier centro, es recomendable que se ponga en contacto con su mdico o el centro de salud ms cercano, o llamando al telfono que proporciona cada Comunidad Autnoma (https://www.mscbs.gob.es/profesionales/saludPublica/ccayes/alertasActual/nCov-China/telefonos.htm) para que valoren la ubicacin  ms adecuada para la observacin mdica."; } }
        
        public string RECOMMENDATION8 { get { return "Se sugiere observacin a nivel hospitalario. Puede acudir en su propio vehculo al hospital ms cercano (si posee vehculo propio). De lo contrario, debe ser transportado en una ambulancia; llame al nmero de emergencia mdica 112 si este es su caso."; } }
        
        public string SCREENINGRESULT { get { return "Resultado del cribado"; } }

        public BaseCovidEuropeProjectLoc_ES()
        {
        }
    }

    public class CovidEuropeProjectES_locale : BaseCovidEuropeProjectLoc_ES
    {
        public CovidEuropeProjectES_locale() : base()
        {
        }
    }
}
